
QGIS Application - Bug report #6921

No Coordinate systems for adding WFS
Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:1.8.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16039

Description

I'm trying to add a WFS layer that's projected in 27700 (British National Grid). When I click on the "change" button on the coordinate

system bit, up pops a box that has absolutely no coordinate systems listed. Trying to search for one just results in the three categories

going away.

See attached.

History

#1 - 2012-12-27 10:32 AM - Giovanni Manghi

- Status changed from Open to Feedback

this can be a server issue, not a client one. Have you tested other WFS servers? can you add the link to the problematic wfs server? Have you tested

master to see if there is any difference?

#2 - 2012-12-28 02:17 AM - Jonathan Moules

I don't have master.

The server is GeoServer 2.2.2.

This issue happens if the WFS is 1.1.0 (http://wppgeog3:8082/geoserver/ows?service=wfs&#38;version=1.1.0&#38;request=GetCapabilities). It does NOT

happen if the WFS is 1.0.0 (http://wppgeog3:8082/geoserver/ows?service=wfs&#38;version=1.0.0&#38;request=GetCapabilities).

Neither is publicly available.

#3 - 2012-12-28 03:08 AM - Jonathan Moules

This may be because WFS 1.1.0 is unsupported (see also: #6923 ). In which case this isn't a bug and can be closed.

#4 - 2013-02-04 08:39 AM - Jonathan Moules

This issue is resolved in master. An error comes up.

#5 - 2013-02-04 08:39 AM - Jonathan Moules

- Status changed from Feedback to Closed
